Module gengeo :: Class BoxWithJointSet

[hide private]
[frames] | no frames]

# Class BoxWithJointSet

     object --+
              |
    ??.instance --+
                  |
            AVolume --+
                      |
              AVolume3D --+
                          |
            BoxWithPlanes3D --+
                              |
                             BoxWithJointSet

A class defining a rectangular volume in 3D containing a joint set.

Instance Methods | [hide private]

__init__(...) Constructs a box with the specified corner points. |

__str__(...) str(x) |

void

addJoints(...) Adds to the box a TriPatchSet representing joints. |

Inherited from `BoxWithPlanes3D`: `addPlane` Inherited from `AVolume`: `__reduce__` Inherited from `unreachable.instance`: `__new__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| __instance_size__ = `84`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...)
(Constructor)

Constructs a box with the specified corner points.

Parameters:
  - `minPoint` (Vector3) - Coordinate of bottom-left-front corner of the box
  - `maxPoint` (Vector3) - Coordinate of upper-right-back corner of the box
Overrides: object.__init__

### __str__(...)
(Informal representation operator)

str(x)

Overrides: object.__str__
  (inherited documentation)

### addJoints(...)

Adds to the box a TriPatchSet representing joints. Particles will be fitted around the joints.

Parameters:
  - `JointSet` (TriPatchSet) - the set of triangular patches to add
Returns: void